【威胁通告】Apache Solr Velocity远程代码执行漏洞处置手册

危害等级高,攻击者利用此漏洞,可造成远程代码执行。

一.  漏洞概述

10月30日,@_S00pY公开了Apache Solr 远程代码执行漏洞的利用方式,攻击者可通过Velocity模板实现远程代码执行。经测试,该漏洞可以成功触发,且官方未发布安全补丁。

此漏洞的触发需要两步完成,首先攻击者需通过config API将”params.resource.loader.enabled”配置项修改为true;再通过发送恶意velocity模板完成漏洞触发。

部分PoC代码如下:

利用成功后可在服务端执行任意命令。

二、影响范围

受影响版本

  • Apache Solr <= 8.2.0 (存在config API的版本均可能受此漏洞影响)

三、漏洞检测

人工检测

满足下面任意一项,当前系统均可能受此漏洞影响。

  1. 可访问http://hostname/solr/实例名/config,config API开放。
  2. 在实例的配置目录下存在configoverlay.json文件,且其中有”params.resource.loader.enabled”:”true”配置项,默认情况下不存在configoverlay.json文件。

3、在全局配置文件solrconfig.xml中,“params.resource.loader.enabled”配置项为“true”

四、漏洞防护

4.1 产品防护

部署有绿盟科技网络入侵防护系统(IPS)的用户,可实现对此漏洞的防护,对应规则:23982.

4.2 临时缓解措施

  • 用户可通过在访问控制上禁用对/solr/实例名/config路径的访问。
  • 若configoverlay.json 配置文件中存在”params.resource.loader.enabled”:”true”配置项。将其改为false。
  • 若solrconfig.xml 配置文件中,VelocityResponseWriter中存在如下配置<bool name=”params.resource.loader.enabled”>true</bool>,将其修改为false。
  • 添加安全认证,详细配置方法可参考官方文档:

http://lucene.apache.org/solr/guide/8_2/basic-authentication-plugin.html#basic-authentication-plugin

声明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。

绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。

关于绿盟科技                                                

北京神州绿盟信息安全科技股份有限公司(简称绿盟科技)成立于2000年4月,总部位于北京。在国内外设有30多个分支机构,为政府、运营商、金融、能源、互联网以及教育、医疗等行业用户,提供具有核心竞争力的安全产品及解决方案,帮助客户实现业务的安全顺畅运行。

基于多年的安全攻防研究,绿盟科技在网络及终端安全、互联网基础安全、合规及安全管理等领域,为客户提供入侵检测/防护、抗拒绝服务攻击、远程安全评估以及Web安全防护等产品以及专业安全服务。

北京神州绿盟信息安全科技股份有限公司于2014年1月29日起在深圳证券交易所创业板上市,股票简称:绿盟科技,股票代码:300369。

发表评论